# interface.py – app/personnalisation

import streamlit as st

from app.personnalisation.utils import ajouter_produit, importer_exporter_graph, modifier_produit
from utils.persistance import maj_champ_statut
from utils.translations import _
from utils.widgets import html_expander


def interface_personnalisation(G):
    """Point d'entree principal de l'interface de personnalisation du graphe."""
    titre = f"# {str(_('pages.personnalisation.title'))}"
    maj_champ_statut("pages.personnalisation.title", titre)
    st.markdown(titre)
    html_expander(f"{str(_('pages.personnalisation.help'))}", content="\n".join(_("pages.personnalisation.help_content")), open_by_default=False, details_class="details_introduction")
    st.markdown("---")

    G = ajouter_produit(G)
    G = modifier_produit(G)
    G = importer_exporter_graph(G)

    return G
